@echo off

call #ENVPT3#\bin\protopenv.bat

cd /d %PROTOP%

if "%1"=="" (
	echo.
	echo usage: hc.bat friendlyName [monInterval [numSamples [lgLookBack]]]
	echo.
	pause
	goto end
)

rem	use the command line parameters if they are provided
rem	defaults are possibly set in bin\localenv, if not then
rem	the internal defaults are used
rem

if not "%2"==""	set HCMONINT=%2
if not "%3"==""	set HCSAMPLES=%3
if not "%4"==""	set LGLOOKBK=%4

rem	chain togther .pf files if they exist
rem
rem	      etc/protop.pf - moved to protopenv.bat
rem	      etc/custId.pf - moved to protopenv.bat
rem	      etc/serverName.pf - moved to protopenv.bat
rem	      etc/type.pf
rem	      etc/friendlyName.pf
rem	

rem set PFLIST=

rem if exist %PROTOP%\etc\protop.pf (
rem    set PFLIST=%PFLIST% -pf etc\protop.pf
rem )

rem set /p CUSTID=<etc\custid.cfg				rem this fails etc needs %PROTOP%\ prepended; fixed in protopenv.bat

rem if exist %PROTOP%\etc\%CUSTID%.pf (
rem    set PFLIST=%PFLIST% -pf etc\%CUSTID%.pf
rem )

rem if exist %PROTOP%\etc\%HOSTNAME%.pf (		rem this fails, HOSTNAME is not defined anywhere; fixed in protopenv.bat
rem    set PFLIST=%PFLIST% -pf etc\%HOSTNAME%.pf
rem )

set PX=%1
set XDB=%1
set FNAME=-param %1

if exist %PROTOP%\etc\dblist.cfg (

	echo. > %TEMP%\pt3dblist.tmp
	grep "^%1|" %PROTOP%\etc\dblist.cfg | gawk -F "|" "{print $2}" > %TEMP%\pt3dblist.tmp
	set /p XDB=<%TEMP%\pt3dblist.tmp

)

basename %XDB% > %TEMP%\pt3fname.tmp
set /p PX=<%TEMP%\pt3fname.tmp

if exist %PROTOP%\etc\%1.pf (
	set PFLIST=%PFLIST% -pf etc\%1.pf
)

if exist %XDB%.db (
	del /q %LOGDIR%\hc.%PX%.log 2>NUL
	echo hc.bat %1 %HCMONINT% %HCSAMPLES% %LGLOOKBACK% >> %TMPDIR%\healthcheck.%PX%.e2
	%DLC%\bin\_progres.exe -b -p util\healthcheck.p %FNAME% -basekey "INI" -ininame etc\protop.ini %PFLIST% -T %TMPDIR% %XDB% %ERRSTACK% -clientlog %TMPDIR%\healthcheck.%PX%.debug >> %TMPDIR%\healthcheck.%PX%.e2 2>&1
) else (
	echo.
	echo You must specify a friendlyName from etc/dblist.cfg
	echo.
	pause
	goto end
)

exit

:end

